xn::ModuleNodeNotifications Class Referenceabstract

`#include <XnModuleCppInterface.h>`

Inheritance diagram for xn::ModuleNodeNotifications:
[legend]

## Public Member Functions

virtual | ~ModuleNodeNotifications ()
virtual XnStatus | OnNodeAdded (const XnChar *strNodeName, XnProductionNodeType type, XnCodecID compression)=0
virtual XnStatus | OnNodeRemoved (const XnChar *strNodeName)=0
virtual XnStatus | OnNodeIntPropChanged (const XnChar *strNodeName, const XnChar *strPropName, XnUInt64 nValue)=0
virtual XnStatus | OnNodeRealPropChanged (const XnChar *strNodeName, const XnChar *strPropName, XnDouble dValue)=0
virtual XnStatus | OnNodeStringPropChanged (const XnChar *strNodeName, const XnChar *strPropName, const XnChar *strValue)=0
virtual XnStatus | OnNodeStateReady (const XnChar *strNodeName)=0
virtual XnStatus | OnNodeGeneralPropChanged (const XnChar *strNodeName, const XnChar *strPropName, XnUInt32 nBufferSize, const void *pBuffer)=0
virtual XnStatus | OnNodeNewData (const XnChar *strNodeName, XnUInt64 nTimeStamp, XnUInt32 nFrame, const void *pData, XnUInt32 nSize)=0

## Constructor & Destructor Documentation

## ~ModuleNodeNotifications()

virtual xn::ModuleNodeNotifications::~ModuleNodeNotifications | ( |  | ) |

inline virtual

## Member Function Documentation

## OnNodeAdded()

virtual XnStatus xn::ModuleNodeNotifications::OnNodeAdded | ( | const XnChar * | strNodeName,
|  | XnProductionNodeType | type,
|  | XnCodecID | compression )

pure virtual

## OnNodeGeneralPropChanged()

virtual XnStatus xn::ModuleNodeNotifications::OnNodeGeneralPropChanged | ( | const XnChar * | strNodeName,
|  | const XnChar * | strPropName,
|  | XnUInt32 | nBufferSize,
|  | const void * | pBuffer )

pure virtual

## OnNodeIntPropChanged()

virtual XnStatus xn::ModuleNodeNotifications::OnNodeIntPropChanged | ( | const XnChar * | strNodeName,
|  | const XnChar * | strPropName,
|  | XnUInt64 | nValue )

pure virtual

## OnNodeNewData()

virtual XnStatus xn::ModuleNodeNotifications::OnNodeNewData | ( | const XnChar * | strNodeName,
|  | XnUInt64 | nTimeStamp,
|  | XnUInt32 | nFrame,
|  | const void * | pData,
|  | XnUInt32 | nSize )

pure virtual

## OnNodeRealPropChanged()

virtual XnStatus xn::ModuleNodeNotifications::OnNodeRealPropChanged | ( | const XnChar * | strNodeName,
|  | const XnChar * | strPropName,
|  | XnDouble | dValue )

pure virtual

## OnNodeRemoved()

virtual XnStatus xn::ModuleNodeNotifications::OnNodeRemoved | ( | const XnChar * | strNodeName | ) |

pure virtual

## OnNodeStateReady()

virtual XnStatus xn::ModuleNodeNotifications::OnNodeStateReady | ( | const XnChar * | strNodeName | ) |

pure virtual

## OnNodeStringPropChanged()

virtual XnStatus xn::ModuleNodeNotifications::OnNodeStringPropChanged | ( | const XnChar * | strNodeName,
|  | const XnChar * | strPropName,
|  | const XnChar * | strValue )

pure virtual

The documentation for this class was generated from the following file:

- XnModuleCppInterface.h